acl_struct Struct Reference

`#include <acl.h>`

## Data Fields

acl_type * | next
char * | address
unsigned int | port
int | family
union acl_addr_storage | addr
union acl_addr_storage | range_mask
acl_range_type | range_type
const char * | tsig_name
tsig_type * | tsig
time_t | ixfr_disabled

## Detailed Description

Definition at line 58 of file acl.h.

## Field Documentation

## addr

union acl_addr_storage acl_struct::addr

Definition at line 64 of file acl.h.

Referenced by acl_create().

## address

char* acl_struct::address

Definition at line 61 of file acl.h.

Referenced by acl_cleanup(), acl_create(), acl_find(), and notify_send().

## family

int acl_struct::family

Definition at line 63 of file acl.h.

Referenced by acl_create().

## ixfr_disabled

time_t acl_struct::ixfr_disabled

Definition at line 71 of file acl.h.

Referenced by acl_create().

## next

acl_type* acl_struct::next

Definition at line 59 of file acl.h.

Referenced by acl_cleanup(), acl_create(), and acl_find().

## port

unsigned int acl_struct::port

Definition at line 62 of file acl.h.

Referenced by acl_create(), and xfrd_acl_sockaddr_to().

## range_mask

union acl_addr_storage acl_struct::range_mask

Definition at line 65 of file acl.h.

Referenced by acl_create().

## range_type

acl_range_type acl_struct::range_type

Definition at line 66 of file acl.h.

Referenced by acl_create().

## tsig

tsig_type* acl_struct::tsig

Definition at line 69 of file acl.h.

Referenced by acl_create(), and notify_send().

## tsig_name

const char* acl_struct::tsig_name

Definition at line 68 of file acl.h.

The documentation for this struct was generated from the following file:

- src/wire/acl.h